<?php declare(strict_types = 1);

namespace App\Model\Database\Entity;

use Doctrine\ORM\Mapping as ORM;
use App\Model\Database\Entity\Attributes\TId;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;

/**
 * @ORM\Entity(repositoryClass="App\Model\Database\Repository\DictTypeRepository")
 * @ORM\HasLifecycleCallbacks
 */
class DictType extends AbstractEntity 
{
    use TId;

    public function __construct($short_name,$full_name)
    {
	$this->shortName = $short_name;
	$this->fullName = $full_name;
    }

   /**
     * @ORM\Column(type="string")
     */
    protected $shortName;

    public function getShortName()
    {
	return $this->shortName;
    }

    /**
     * @ORM\Column(type="string")
     */
    protected $fullName;

    public function getFullName()
    {
	return $this->fullName;
    }

}

?>
